Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gnu.prolog.vm.interpreter
Enum Tracer.TraceLevel

    java.lang.Object
      java.lang.Enum<Tracer.TraceLevel>
          gnu.prolog.vm.interpreter.Tracer.TraceLevel

All Implemented Interfaces:
  Serializable, Comparable<Tracer.TraceLevel>

Enclosing class:
  Tracer

    public static enum Tracer.TraceLevel

extends Enum<Tracer.TraceLevel>

Different trace levels

Author:
  Michiel Hendriks

Enum Constant Summary
`CALL`
`EXIT`
`FAIL`
`REDO`

Method Summary
`static EnumSet<Tracer.TraceLevel>` | `fromString(String lvl)` Convert a string to an enum set
`static Tracer.TraceLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Tracer.TraceLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CALL

    public static final Tracer.TraceLevel CALL

### REDO

    public static final Tracer.TraceLevel REDO

### EXIT

    public static final Tracer.TraceLevel EXIT

### FAIL

    public static final Tracer.TraceLevel FAIL

Method Detail

### values

    public static Tracer.TraceLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Tracer.TraceLevel c : Tracer.TraceLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Tracer.TraceLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromString

    public static EnumSet<Tracer.TraceLevel> fromString(String lvl)

  Convert a string to an enum set

  Parameters:
    `lvl` -
  Returns:
    the EnumSet(TraceLevel) for the string lvl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD